QGIS Application - Bug report #16329
osgeo4w64, unable to run python3 in command box
2017-03-09 12:56 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24239
Description

Trying to test a python problem in QGIS3 via python on cli in osgeo4w64 (installed via osgeo4w installer in c:\\osgeo4w64), | open a
commandbox by running the bat file:

c:\\osgeo4wb4\OSGeo4W.bat

Then trying to start python3, | get the following (see also screendump)
(This is on WindowsServer2008 machine.)

GDAL 2.1.3, released 2017/20/01

C:\\osgeo4w64>python3
Fatal Python error: Py_Initialize: unable to load the file system codec
File "C:\OSGEO4~1\\apps\\Python27\\lib\\encodings\\__init__.py", line 123
raise CodecRegistryError,\\

A
SyntaxError: invalid syntax

Current thread 0x00001b60 (most recent call first):

C:\\osgeo4w64>

History

#1 - 2017-03-09 01:05 AM - Richard Duivenvoorde

Some googling:

http://stackoverflow.com/questions/18946286/python3-installed-successfully-but-cannot-be-opened-in-terminal

apperently it is mixing python2 and python3 stuff, because python2 is in path?

Indeed when | type:

C:\\osgeo4w64>path
PATH=C:\\OSGEO4~1\\apps\\Python27\\Scripts;C:\OSGEO4~1\\bin;C:\\Windows\\system32;C:\\Windows;C:\\Windows\\WBem;C:\\OSGEO4~1\\apps\\

sys\\bin

it is pointing to the Python27 dir?
http://stackoverflow.com/questions/18946286/python3-installed-successfully-but-cannot-be-opened-in-terminal

maybe a more thorough cleanup of PATH (only for python3.bat/bin?)

#2 - 2017-03-09 01:40 AM - Giovanni Manghi
- Target version set to Version 3.0
- Category set to Build/Install

#3 - 2017-03-09 02:34 AM - Jiirgen Fischer

- Status changed from Open to Closed

1. Not a QGIS issue.
2. run call py3_env.bat first (also call gt5_env.bat if you want to use PyQt5)
3. use python-qgis.bat (that runs both and provides the environment to import qgis)
